# Marimo Widgets Collection

A comprehensive library of custom anywidget implementations for Marimo
notebooks, providing a rich set of interactive and reusable widgets for data
science, visualization, and computational workflows.

## Features

-   **Base Widgets**
    -   String Form: Interactive text input components
-   **Design Components**
    -   Color Matrix: Color selection and manipulation tools
-   **Layout Elements**
    -   Header: Customizable header components
-   **Productivity Tools**
    -   Pomodoro Timer: Time management widget
-   **Data Visualization**
    -   Array Viewer: Interactive array visualization component

## Installation

```bash
pip install mowidget
```

## Examples

Showcase notebooks demonstrating the usage of all widgets can be found in the
`examples/` directory. Check out `examples/showcase_v0.1.0.py` for a
comprehensive demonstration of all available components in v0.1.0.
